GWT 2.7.0

## com.google.gwt.user.client
Class DocumentModeAsserter

    java.lang.Object
      com.google.gwt.user.client.DocumentModeAsserter

All Implemented Interfaces:
  EntryPoint

    public class DocumentModeAsserter

extends java.lang.Object
implements EntryPoint

Helper class, which, during startup, asserts that the browser's current rendering mode is one of the values allowed by the "document.compatMode".

See Also:
  Quirks Mode

Nested Class Summary
`static interface` | `DocumentModeAsserter.DocumentModeProperty` Interface to provide configuration property value.
`static class` | `DocumentModeAsserter.Severity` Determine the severity of the runtime $doc.compatMode check:

Field Summary
`static java.lang.String` | `PROPERTY_DOCUMENT_COMPATMODE` GWT module configuration property, which enumerates one or more valid browser rendering modes, to be compared with value of $doc.compatMode at runtime.
`static java.lang.String` | `PROPERTY_DOCUMENT_COMPATMODE_SEVERITY` GWT module configuration property, which determines the severity of the runtime $doc.compatMode check.

Constructor Summary
`DocumentModeAsserter()`

Method Summary
`void` | `onModuleLoad()` The entry point method, called automatically by loading a module that declares an implementing class as an entry point.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_DOCUMENT_COMPATMODE

    public static final java.lang.String PROPERTY_DOCUMENT_COMPATMODE

  GWT module configuration property, which enumerates one or more valid browser rendering modes, to be compared with value of $doc.compatMode at runtime.

  See Also:
    Constant Field Values

### PROPERTY_DOCUMENT_COMPATMODE_SEVERITY

    public static final java.lang.String PROPERTY_DOCUMENT_COMPATMODE_SEVERITY

  GWT module configuration property, which determines the severity of the runtime $doc.compatMode check. Valid values are specified by `DocumentModeAsserter.Severity`.

  See Also:
    Constant Field Values

Constructor Detail

### DocumentModeAsserter

    public DocumentModeAsserter()

Method Detail

### onModuleLoad

    public void onModuleLoad()

  Description copied from interface: `EntryPoint`
  The entry point method, called automatically by loading a module that declares an implementing class as an entry point.

  Specified by:
    `onModuleLoad` in interface `EntryPoint`

GWT 2.7.0